curl --request GET \
--url https://api.aisa.one/apis/v1/ebay/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/ebay/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/ebay/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"search_metadata": {
"id": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"request_time_taken": 123,
"parsing_time_taken": 123,
"total_time_taken": 123,
"request_url": "<string>",
"html_url": "<string>",
"json_url": "<string>"
},
"search_parameters": {
"engine": "<string>",
"q": "<string>",
"category_id": 123,
"ebay_domain": "<string>",
"country": "<string>",
"layout": "<string>",
"buying_format": "<string>",
"condition": "<string>",
"delivery_country": "<string>",
"postal_code": "<string>",
"distance_radius": 123,
"product_origin_country": "<string>",
"sort_by": "<string>",
"price_min": 123,
"price_max": 123,
"filters": "<string>",
"advanced_filters": "<string>",
"page": 123,
"num": 123,
"include_related_results": "<string>"
},
"search_information": {
"query_displayed": "<string>",
"category_displayed": "<string>",
"total_results": 123,
"sorted_by": "<string>",
"filters_applied": [
"<string>"
],
"buying_format": "<string>",
"shipping_to": "<string>",
"language": "<string>",
"notice": "<string>"
},
"categories": [
{
"name": "<string>",
"link": "<string>",
"category_id": "<string>",
"is_selected": true,
"subcategories": "<array>"
}
],
"filters": [
{
"options": [
{
"text": "<string>",
"items": 123,
"is_selected": true,
"link": "<string>",
"type": "<string>"
}
],
"type": "<string>"
}
],
"organic_results": [
{
"position": 123,
"product_id": "<string>",
"item_id": "<string>",
"title": "<string>",
"subtitle": "<string>",
"tag": "<string>",
"link": "<string>",
"seller": {
"name": "<string>",
"reviews": 123,
"positive_feedback_percent": 123,
"is_top_rated_plus": true,
"is_direct_from_seller": true,
"thumbnail": "<string>"
},
"brand": "<string>",
"condition": "<string>",
"extensions": [
"<string>"
],
"authenticity": "<string>",
"is_sponsored": true,
"rating": 123,
"reviews": 123,
"reviews_link": "<string>",
"buying_format": "<string>",
"is_best_offer": true,
"is_buy_it_now": true,
"is_auction": true,
"price": "<string>",
"extracted_price": 123,
"extracted_price_range": {
"from": 123,
"to": 123
},
"is_price_range": true,
"original_price": "<string>",
"extracted_original_price": 123,
"unit_price": "<string>",
"extracted_unit_price": 123,
"bids": 123,
"time_left": "<string>",
"deal": "<string>",
"discount": "<string>",
"items_sold": "<string>",
"extracted_items_sold": 123,
"stock": "<string>",
"watching": "<string>",
"extracted_watching": 123,
"shipping": "<string>",
"extracted_shipping": 123,
"shipping_details": "<string>",
"is_free_return": true,
"is_in_psa_vault": true,
"trending": "<string>",
"thumbnail": "<string>",
"images": [
"<string>"
]
}
],
"related_results": [
{
"position": 123,
"product_id": "<string>",
"item_id": "<string>",
"title": "<string>",
"subtitle": "<string>",
"tag": "<string>",
"link": "<string>",
"seller": {
"name": "<string>",
"reviews": 123,
"positive_feedback_percent": 123,
"is_top_rated_plus": true,
"is_direct_from_seller": true,
"thumbnail": "<string>"
},
"brand": "<string>",
"condition": "<string>",
"extensions": [
"<string>"
],
"authenticity": "<string>",
"is_sponsored": true,
"rating": 123,
"reviews": 123,
"reviews_link": "<string>",
"buying_format": "<string>",
"is_best_offer": true,
"is_buy_it_now": true,
"is_auction": true,
"price": "<string>",
"extracted_price": 123,
"extracted_price_range": {
"from": 123,
"to": 123
},
"is_price_range": true,
"original_price": "<string>",
"extracted_original_price": 123,
"unit_price": "<string>",
"extracted_unit_price": 123,
"bids": 123,
"time_left": "<string>",
"deal": "<string>",
"discount": "<string>",
"items_sold": "<string>",
"extracted_items_sold": 123,
"stock": "<string>",
"watching": "<string>",
"extracted_watching": 123,
"shipping": "<string>",
"extracted_shipping": 123,
"shipping_details": "<string>",
"is_free_return": true,
"is_in_psa_vault": true,
"trending": "<string>",
"thumbnail": "<string>",
"images": [
"<string>"
]
}
],
"sections": [
{
"title": "<string>",
"subtitle": "<string>",
"is_sponsored": true,
"has_items": true,
"results": [
{
"position": 123,
"title": "<string>",
"link": "<string>",
"category_id": "<string>",
"release_date": "<string>",
"thumbnail": "<string>"
}
]
}
],
"related_searches": [
{
"query": "<string>",
"link": "<string>"
}
],
"pagination": {
"current": 123,
"previous": "<string>",
"next": "<string>",
"other_pages": {}
},
"error": "<string>"
}eBay Search API -test
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
Comma-separated list of advanced filters in key=value format
Buying format filter
auction, buy_it_now, best_offer Category ID to search within. Either 'q' or 'category_id' must be present
Comma-separated list of item conditions
^(new|new_opened|like_new|new_with_defects|pre_owned_fair|pre_owned_excellent|used_very_good|used_good|used_acceptable|certified_refurbished|excellent_refurbished|very_good_refurbished|good_refurbished|seller_refurbished|for_parts_or_not_working|not_specified)(,(new|new_opened|like_new|new_with_defects|pre_owned_fair|pre_owned_excellent|used_very_good|used_good|used_acceptable|certified_refurbished|excellent_refurbished|very_good_refurbished|good_refurbished|seller_refurbished|for_parts_or_not_working|not_specified))*$ISO 3166-1 alpha-2 country code
US, CA, GB, AF, AL, DZ, AS, AD, AO, AI, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BA, BW, BR, VG, BN, BG, BF, BI, KH, CM, CV, KY, CF, TD, CL, CN, CO, KM, CD, CG, CK, CR, CI, HR, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FJ, FI, FR, GF, PF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KR, KW, KG, LA, LV, LB, LI, LT, LU, MO, MK, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, MD, MC, MN, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NO, OM, PK, PW, PA, PG, PY, PE, PH, PL, PT, PR, QA, RO, RU, RW, SH, KN, LC, PM, VC, SM, SA, SN, SC, SL, SG, SK, SI, SB, SO, ZA, ES, LK, SR, SZ, SE, CH, TW, TJ, TZ, TH, TG, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, UY, UZ, VU, VA, VE, VN, VI, WF, EH, WS, YE, FM, RE, ME, RS Delivery country ISO 3166-1 alpha-2 code
US, CA, GB, AF, AL, DZ, AS, AD, AO, AI, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BA, BW, BR, VG, BN, BG, BF, BI, KH, CM, CV, KY, CF, TD, CL, CN, CO, KM, CD, CG, CK, CR, CI, HR, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FJ, FI, FR, GF, PF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KR, KW, KG, LA, LV, LB, LI, LT, LU, MO, MK, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, MD, MC, MN, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NO, OM, PK, PW, PA, PG, PY, PE, PH, PL, PT, PR, QA, RO, RU, RW, SH, KN, LC, PM, VC, SM, SA, SN, SC, SL, SG, SK, SI, SB, SO, ZA, ES, LK, SR, SZ, SE, CH, TW, TJ, TZ, TH, TG, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, UY, UZ, VU, VA, VE, VN, VI, WF, EH, WS, YE, FM, RE, ME, RS Distance radius in miles from postal code. Requires postal code to be set
x >= 1eBay domain to search on
ebay.com, ebay.com.au, ebay.at, befr.ebay.be, benl.ebay.be, ebay.ca, cafr.ebay.ca, ebay.fr, ebay.de, ebay.com.hk, ebay.ie, ebay.it, ebay.com.my, ebay.nl, ebay.ph, ebay.pl, ebay.com.sg, ebay.es, ebay.ch, ebay.co.uk Search engine to use
ebay_search Comma-separated list of filters to apply
^(search_description|sale_items|deals_and_savings|free_shipping|local_pickup|fast_arrival|free_returns|returns_accepted|listed_as_lots|authenticity_guarantee|authorized_seller|benefits_charity|psa_vault)(,(search_description|sale_items|deals_and_savings|free_shipping|local_pickup|fast_arrival|free_returns|returns_accepted|listed_as_lots|authenticity_guarantee|authorized_seller|benefits_charity|psa_vault))*$When set to true, returns eBay's "Results matching fewer words" items under a separate related_results key when no exact matches are found. Defaults to false, which returns an error in that case.
true, false Results layout format
list, grid Number of results per page
60, 120, 240 Page number (starts at 1)
x >= 1Postal code for distance-based searches. Only supported for certain delivery countries (US, CA, GB, AU, AT, BE, CZ, FR, DE, IT, NL, PL)
Preferred seller location
domestic, regional, worldwide Maximum price filter (must be greater than or equal to price_min)
x >= 0Minimum price filter
x >= 0Product origin country ISO 3166-1 alpha-2 code
US, CA, GB, AF, AL, DZ, AS, AD, AO, AI, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BA, BW, BR, VG, BN, BG, BF, BI, KH, CM, CV, KY, CF, TD, CL, CN, CO, KM, CD, CG, CK, CR, CI, HR, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FJ, FI, FR, GF, PF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KR, KW, KG, LA, LV, LB, LI, LT, LU, MO, MK, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, MD, MC, MN, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NO, OM, PK, PW, PA, PG, PY, PE, PH, PL, PT, PR, QA, RO, RU, RW, SH, KN, LC, PM, VC, SM, SA, SN, SC, SL, SG, SK, SI, SB, SO, ZA, ES, LK, SR, SZ, SE, CH, TW, TJ, TZ, TH, TG, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, UY, UZ, VU, VA, VE, VN, VI, WF, EH, WS, YE, FM, RE, ME, RS Search query. Either 'q' or 'category_id' must be present
Sort results by
best_match, price_shipping_low_to_high, price_shipping_high_to_low, distance_nearest, time_ending_soonest, time_newly_listed, price_low_to_high, price_high_to_low, condition_new_first, condition_used_first 响应
成功响应
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Returned in place of organic_results when eBay has no exact matches but shows "Results matching fewer words" items.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Error message when no results are found